Package ru.bitel.bgbilling.kernel.module.server.bean

# Class ModuleManager

java.lang.Object
ru.bitel.bgbilling.kernel.module.server.bean.ModuleManager

    public class ModuleManager
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ModuleManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `addModule​(BGInstalledModule module, java.lang.String title, int userId)` |
  `void` | `deleteInstalledComponent​(java.lang.String name)` |
  `void` | `deleteModule​(BGInstalledModule module, int id)` |
  `java.util.List<java.lang.String>` | `getInstalledModules()` | Возвращает список имен установленных модулей.
  `java.util.List<BGInstalledModule>` | `getInstalledModules​(java.lang.String... types)` | Возвращает список установленных модулей и плагинов с фильтром по типу.
  `BGModule` | `getModule​(int id)` | Возвращает экземпляр модуля по его коду.
  `static int` | `getModuleIdByName​(java.lang.String moduleName)` |
  `java.util.List<BGModule>` | `getModules()` | Возвращает список всех экземпляров модуля с сортировкой что npay оказывается последним.
  `java.util.List<BGModule>` | `getModules​(java.lang.String name)` | Возвращает список экземпляров модуля с сортировкой по названию.
  `java.util.Map<java.lang.Integer,​BGModule>` | `getModulesMap()` | Возвращает Map с экземплярами модулей по их коду.
  `void` | `updateModule​(BGModule b)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ModuleManager

    public ModuleManager​(java.sql.Connection con)

- ## Method Details

  - ### getModuleIdByName

    public static int getModuleIdByName​(java.lang.String moduleName)

  - ### getModules

    public java.util.List<BGModule> getModules​(java.lang.String name) throws ru.bitel.bgbilling.common.BGException
    Возвращает список экземпляров модуля с сортировкой по названию.
    Parameters:
      `name` - имя модуля, если null - возвращаются все экземпляры модулей.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModules

    public java.util.List<BGModule> getModules() throws ru.bitel.bgbilling.common.BGException
    Возвращает список всех экземпляров модуля с сортировкой что npay оказывается последним.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModule

    public BGModule getModule​(int id) throws ru.bitel.bgbilling.common.BGException
    Возвращает экземпляр модуля по его коду.
    Parameters:
      `id` - код экземпляра модуля
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getModulesMap

    public java.util.Map<java.lang.Integer,​BGModule> getModulesMap() throws ru.bitel.bgbilling.common.BGException
    Возвращает Map с экземплярами модулей по их коду.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### addModule

    public int addModule​(BGInstalledModule module, java.lang.String title, int userId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateModule

    public void updateModule​(BGModule b) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteModule

    public void deleteModule​(BGInstalledModule module, int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getInstalledModules

    public java.util.List<java.lang.String> getInstalledModules() throws ru.bitel.bgbilling.common.BGException
    Возвращает список имен установленных модулей.
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getInstalledModules

    public java.util.List<BGInstalledModule> getInstalledModules​(java.lang.String... types)
    Возвращает список установленных модулей и плагинов с фильтром по типу.
    Parameters:
      `types` - типы.
    Returns:

  - ### deleteInstalledComponent

    public void deleteInstalledComponent​(java.lang.String name) throws java.lang.Exception
    Throws:
      `java.lang.Exception`